
WikiNG - Bug #2090

Quote replacement in wikilinks

05 Jul 2012 06:25 - Xavier Calland

Status: Closed Start date: 05 Jul 2012

Priority: Normal Due date: 28 Nov 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.3   

Redmine version: 2.0.3 External issue:  

Description

When a link contains a quote (“'” character) it’s replace by &rsquo ; with redmine 2.0.3

[[Foo's page]]

 

gives

<a ...>Foo&rsquo;s page</a>

Associated revisions

Revision 30 - 14 Nov 2012 00:38 - Andriy Lesyuk

Switched to UTF-8 instead of HTML entities (#2090)

History

#1 - 07 Jul 2012 21:01 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

#2 - 22 Sep 2012 10:01 - Andriy Lesyuk

- Status changed from Open to Incomplete

Isn’t it rendered fine?.. Another apostrophe, e.g. Foo’s page, does not seem to be a problem?

#3 - 25 Sep 2012 11:30 - Xavier Calland

It works with ’ but not '

#4 - 25 Sep 2012 12:42 - Andriy Lesyuk

- Status changed from Incomplete to Open

Oh, Seems I got it...

#5 - 07 Oct 2012 23:01 - Andriy Lesyuk

- Target version set to 1.0.0b

#6 - 13 Nov 2012 00:08 - Andriy Lesyuk

- Target version changed from 1.0.0b to 0.0.3
#7 - 14 Nov 2012 00:40 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 100

Completely changed the way codes are replaced! Not sure if there will not be new issues...

It would be very nice if someone could test (get recent plugin from SVN).

#8 - 28 Nov 2012 12:06 - Andriy Lesyuk

- Due date set to 28 Nov 2012

- Status changed from In Progress to Closed

Ok, assuming it works fine...
